package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaVisitorAppointment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface TaVisitorAppointmentMapper extends BaseMapper<TaVisitorAppointment> {
    /**
     * 查询当前访客预约信息
     * @param pg
     * @param platNumber
     * @return
     */
    IPage<TaVisitorAppointment> visitorAppointmentList(IPage pg, @Param("platNumber") String platNumber, @Param("personName")String personName, @Param("phone")String phone);
}
