package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TaVisitorAppointmentMapper;
import com.huiju.welcome.model.TaVisitorAppointment;
import com.huiju.welcome.service.ITaVisitorAppointmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaVisitorAppointmentServiceImpl extends ServiceImpl<TaVisitorAppointmentMapper, TaVisitorAppointment> implements ITaVisitorAppointmentService {

    @Autowired
    private TaVisitorAppointmentMapper taVisitorAppointmentMapper;
    @Override
    public ResponseBean visitorAppointmentList(IPage pg, String platNumber, String personName,String phone) {
       ResponseBean responseBean= new ResponseBean();
        IPage<TaVisitorAppointment> list= taVisitorAppointmentMapper.visitorAppointmentList(pg,platNumber,personName,phone);
        responseBean.addSuccess(list);
        return responseBean;
    }
}
